<?xml version="1.0"?>
<!DOCTYPE coverage SYSTEM "http://cobertura.sourceforge.net/xml/coverage-04.dtd">
<coverage line-rate="0.6406250000000000" branch-rate="1.0000000000000000" lines-covered="451" lines-valid="704" branches-covered="0" branches-valid="0" complexity="0.0" timestamp="1595299991" version="Slather 2.4.9">
  <sources>
    <source>/Users/engkit/Documents/ios/SwiftUI/TheMovieDBKitabisa</source>
  </sources>
  <packages>
    <package name="TheMovieDBKitabisa" line-rate="0.5000000000000000" branch-rate="1.0000000000000000" complexity="0.0">
      <classes>
        <class name="AppDelegate" filename="TheMovieDBKitabisa/AppDelegate.swift" line-rate="0.2857142857142857" branch-rate="1.0000000000000000" complexity="0.0">
          <methods/>
          <lines>
            <line number="16" branch="false" hits="1"/>
            <line number="17" branch="false" hits="1"/>
            <line number="18" branch="false" hits="1"/>
            <line number="19" branch="false" hits="1"/>
            <line number="23" branch="false" hits="0"/>
            <line number="24" branch="false" hits="0"/>
            <line number="25" branch="false" hits="0"/>
            <line number="26" branch="false" hits="0"/>
            <line number="27" branch="false" hits="0"/>
            <line number="29" branch="false" hits="0"/>
            <line number="30" branch="false" hits="0"/>
            <line number="31" branch="false" hits="0"/>
            <line number="32" branch="false" hits="0"/>
            <line number="33" branch="false" hits="0"/>
          </lines>
        </class>
        <class name="ContentView" filename="TheMovieDBKitabisa/ContentView.swift" line-rate="0.0000000000000000" branch-rate="1.0000000000000000" complexity="0.0">
          <methods/>
          <lines>
            <line number="12" branch="false" hits="0"/>
            <line number="13" branch="false" hits="0"/>
            <line number="14" branch="false" hits="0"/>
          </lines>
        </class>
        <class name="SceneDelegate" filename="TheMovieDBKitabisa/SceneDelegate.swift" line-rate="0.6153846153846154" branch-rate="1.0000000000000000" complexity="0.0">
          <methods/>
          <lines>
            <line number="17" branch="false" hits="1"/>
            <line number="18" branch="false" hits="1"/>
            <line number="19" branch="false" hits="1"/>
            <line number="20" branch="false" hits="1"/>
            <line number="21" branch="false" hits="1"/>
            <line number="22" branch="false" hits="1"/>
            <line number="23" branch="false" hits="1"/>
            <line number="24" branch="false" hits="1"/>
            <line number="25" branch="false" hits="1"/>
            <line number="26" branch="false" hits="1"/>
            <line number="27" branch="false" hits="1"/>
            <line number="28" branch="false" hits="1"/>
            <line number="29" branch="false" hits="1"/>
            <line number="30" branch="false" hits="1"/>
            <line number="31" branch="false" hits="1"/>
            <line number="32" branch="false" hits="1"/>
            <line number="34" branch="false" hits="0"/>
            <line number="35" branch="false" hits="0"/>
            <line number="36" branch="false" hits="0"/>
            <line number="37" branch="false" hits="0"/>
            <line number="38" branch="false" hits="0"/>
            <line number="39" branch="false" hits="0"/>
            <line number="41" branch="false" hits="1"/>
            <line number="42" branch="false" hits="1"/>
            <line number="43" branch="false" hits="1"/>
            <line number="44" branch="false" hits="1"/>
            <line number="46" branch="false" hits="0"/>
            <line number="47" branch="false" hits="0"/>
            <line number="48" branch="false" hits="0"/>
            <line number="49" branch="false" hits="0"/>
            <line number="51" branch="false" hits="1"/>
            <line number="52" branch="false" hits="1"/>
            <line number="53" branch="false" hits="1"/>
            <line number="54" branch="false" hits="1"/>
            <line number="56" branch="false" hits="0"/>
            <line number="57" branch="false" hits="0"/>
            <line number="58" branch="false" hits="0"/>
            <line number="59" branch="false" hits="0"/>
            <line number="60" branch="false" hits="0"/>
          </lines>
        </class>
      </classes>
    </package>
    <package name="TheMovieDBKitabisa.Commons.CustomButton" line-rate="0.0000000000000000" branch-rate="1.0000000000000000" complexity="0.0">
      <classes>
        <class name="FavoriteButton" filename="TheMovieDBKitabisa/Commons/CustomButton/FavoriteButton.swift" line-rate="0.0000000000000000" branch-rate="1.0000000000000000" complexity="0.0">
          <methods/>
          <lines>
            <line number="16" branch="false" hits="0"/>
            <line number="18" branch="false" hits="0"/>
            <line number="19" branch="false" hits="0"/>
            <line number="20" branch="false" hits="0"/>
            <line number="21" branch="false" hits="0"/>
            <line number="23" branch="false" hits="0"/>
            <line number="24" branch="false" hits="0"/>
            <line number="25" branch="false" hits="0"/>
            <line number="26" branch="false" hits="0"/>
            <line number="27" branch="false" hits="0"/>
            <line number="28" branch="false" hits="0"/>
            <line number="29" branch="false" hits="0"/>
            <line number="30" branch="false" hits="0"/>
            <line number="31" branch="false" hits="0"/>
            <line number="39" branch="false" hits="0"/>
            <line number="40" branch="false" hits="0"/>
            <line number="41" branch="false" hits="0"/>
            <line number="42" branch="false" hits="0"/>
            <line number="43" branch="false" hits="0"/>
            <line number="44" branch="false" hits="0"/>
            <line number="45" branch="false" hits="0"/>
          </lines>
        </class>
      </classes>
    </package>
    <package name="TheMovieDBKitabisa.Commons" line-rate="0.8000000000000000" branch-rate="1.0000000000000000" complexity="0.0">
      <classes>
        <class name="ThreadManager" filename="TheMovieDBKitabisa/Commons/ThreadManager.swift" line-rate="0.8000000000000000" branch-rate="1.0000000000000000" complexity="0.0">
          <methods/>
          <lines>
            <line number="13" branch="false" hits="13"/>
            <line number="14" branch="false" hits="13"/>
            <line number="15" branch="false" hits="13"/>
            <line number="16" branch="false" hits="0"/>
            <line number="17" branch="false" hits="0"/>
            <line number="18" branch="false" hits="13"/>
            <line number="19" branch="false" hits="13"/>
            <line number="20" branch="false" hits="13"/>
            <line number="21" branch="false" hits="13"/>
            <line number="22" branch="false" hits="13"/>
          </lines>
        </class>
      </classes>
    </package>
    <package name="TheMovieDBKitabisa.Model" line-rate="1.0000000000000000" branch-rate="1.0000000000000000" complexity="0.0">
      <classes>
        <class name="Movie" filename="TheMovieDBKitabisa/Model/Movie.swift" line-rate="1.0000000000000000" branch-rate="1.0000000000000000" complexity="0.0">
          <methods/>
          <lines>
            <line number="24" branch="false" hits="18"/>
            <line number="25" branch="false" hits="18"/>
            <line number="26" branch="false" hits="18"/>
          </lines>
        </class>
        <class name="MovieError" filename="TheMovieDBKitabisa/Model/MovieError.swift" line-rate="1.0000000000000000" branch-rate="1.0000000000000000" complexity="0.0">
          <methods/>
          <lines>
            <line number="19" branch="false" hits="3"/>
            <line number="20" branch="false" hits="3"/>
            <line number="21" branch="false" hits="3"/>
            <line number="22" branch="false" hits="3"/>
            <line number="23" branch="false" hits="3"/>
            <line number="24" branch="false" hits="3"/>
            <line number="25" branch="false" hits="3"/>
            <line number="26" branch="false" hits="3"/>
            <line number="27" branch="false" hits="3"/>
            <line number="29" branch="false" hits="2"/>
            <line number="30" branch="false" hits="2"/>
            <line number="31" branch="false" hits="2"/>
          </lines>
        </class>
      </classes>
    </package>
    <package name="TheMovieDBKitabisa.Services" line-rate="0.7098445595854922" branch-rate="1.0000000000000000" complexity="0.0">
      <classes>
        <class name="FavoritedMovieStorageModel" filename="TheMovieDBKitabisa/Services/FavoritedMovieStorageModel.swift" line-rate="0.6927710843373494" branch-rate="1.0000000000000000" complexity="0.0">
          <methods/>
          <lines>
            <line number="19" branch="false" hits="0"/>
            <line number="26" branch="false" hits="0"/>
            <line number="27" branch="false" hits="0"/>
            <line number="28" branch="false" hits="0"/>
            <line number="29" branch="false" hits="0"/>
            <line number="30" branch="false" hits="0"/>
            <line number="31" branch="false" hits="0"/>
            <line number="34" branch="false" hits="0"/>
            <line number="35" branch="false" hits="0"/>
            <line number="36" branch="false" hits="0"/>
            <line number="39" branch="false" hits="1"/>
            <line number="40" branch="false" hits="1"/>
            <line number="41" branch="false" hits="1"/>
            <line number="42" branch="false" hits="1"/>
            <line number="44" branch="false" hits="1"/>
            <line number="45" branch="false" hits="1"/>
            <line number="46" branch="false" hits="1"/>
            <line number="47" branch="false" hits="1"/>
            <line number="48" branch="false" hits="0"/>
            <line number="49" branch="false" hits="0"/>
            <line number="50" branch="false" hits="1"/>
            <line number="51" branch="false" hits="1"/>
            <line number="52" branch="false" hits="1"/>
            <line number="53" branch="false" hits="1"/>
            <line number="56" branch="false" hits="1"/>
            <line number="57" branch="false" hits="1"/>
            <line number="58" branch="false" hits="1"/>
            <line number="59" branch="false" hits="1"/>
            <line number="60" branch="false" hits="1"/>
            <line number="61" branch="false" hits="1"/>
            <line number="62" branch="false" hits="1"/>
            <line number="63" branch="false" hits="1"/>
            <line number="64" branch="false" hits="1"/>
            <line number="65" branch="false" hits="1"/>
            <line number="66" branch="false" hits="1"/>
            <line number="67" branch="false" hits="1"/>
            <line number="68" branch="false" hits="1"/>
            <line number="69" branch="false" hits="0"/>
            <line number="70" branch="false" hits="1"/>
            <line number="71" branch="false" hits="1"/>
            <line number="72" branch="false" hits="1"/>
            <line number="73" branch="false" hits="1"/>
            <line number="74" branch="false" hits="1"/>
            <line number="75" branch="false" hits="0"/>
            <line number="76" branch="false" hits="1"/>
            <line number="77" branch="false" hits="1"/>
            <line number="80" branch="false" hits="2"/>
            <line number="81" branch="false" hits="2"/>
            <line number="82" branch="false" hits="0"/>
            <line number="83" branch="false" hits="0"/>
            <line number="84" branch="false" hits="2"/>
            <line number="85" branch="false" hits="2"/>
            <line number="86" branch="false" hits="2"/>
            <line number="87" branch="false" hits="2"/>
            <line number="88" branch="false" hits="2"/>
            <line number="89" branch="false" hits="2"/>
            <line number="90" branch="false" hits="2"/>
            <line number="91" branch="false" hits="2"/>
            <line number="92" branch="false" hits="2"/>
            <line number="93" branch="false" hits="2"/>
            <line number="94" branch="false" hits="2"/>
            <line number="95" branch="false" hits="2"/>
            <line number="96" branch="false" hits="2"/>
            <line number="97" branch="false" hits="2"/>
            <line number="98" branch="false" hits="2"/>
            <line number="99" branch="false" hits="2"/>
            <line number="102" branch="false" hits="2"/>
            <line number="103" branch="false" hits="2"/>
            <line number="104" branch="false" hits="2"/>
            <line number="105" branch="false" hits="2"/>
            <line number="106" branch="false" hits="0"/>
            <line number="107" branch="false" hits="0"/>
            <line number="108" branch="false" hits="2"/>
            <line number="109" branch="false" hits="2"/>
            <line number="110" branch="false" hits="6"/>
            <line number="111" branch="false" hits="6"/>
            <line number="112" branch="false" hits="6"/>
            <line number="113" branch="false" hits="6"/>
            <line number="114" branch="false" hits="6"/>
            <line number="115" branch="false" hits="6"/>
            <line number="116" branch="false" hits="6"/>
            <line number="117" branch="false" hits="6"/>
            <line number="118" branch="false" hits="6"/>
            <line number="119" branch="false" hits="6"/>
            <line number="120" branch="false" hits="0"/>
            <line number="121" branch="false" hits="6"/>
            <line number="122" branch="false" hits="6"/>
            <line number="123" branch="false" hits="6"/>
            <line number="124" branch="false" hits="6"/>
            <line number="125" branch="false" hits="6"/>
            <line number="126" branch="false" hits="6"/>
            <line number="127" branch="false" hits="6"/>
            <line number="128" branch="false" hits="6"/>
            <line number="129" branch="false" hits="6"/>
            <line number="130" branch="false" hits="0"/>
            <line number="131" branch="false" hits="6"/>
            <line number="132" branch="false" hits="6"/>
            <line number="133" branch="false" hits="6"/>
            <line number="134" branch="false" hits="2"/>
            <line number="135" branch="false" hits="2"/>
            <line number="136" branch="false" hits="2"/>
            <line number="139" branch="false" hits="0"/>
            <line number="140" branch="false" hits="0"/>
            <line number="141" branch="false" hits="0"/>
            <line number="142" branch="false" hits="0"/>
            <line number="143" branch="false" hits="0"/>
            <line number="144" branch="false" hits="0"/>
            <line number="145" branch="false" hits="0"/>
            <line number="146" branch="false" hits="0"/>
            <line number="147" branch="false" hits="0"/>
            <line number="148" branch="false" hits="0"/>
            <line number="149" branch="false" hits="0"/>
            <line number="150" branch="false" hits="0"/>
            <line number="151" branch="false" hits="0"/>
            <line number="152" branch="false" hits="0"/>
            <line number="153" branch="false" hits="0"/>
            <line number="154" branch="false" hits="0"/>
            <line number="155" branch="false" hits="0"/>
            <line number="156" branch="false" hits="0"/>
            <line number="159" branch="false" hits="1"/>
            <line number="160" branch="false" hits="1"/>
            <line number="161" branch="false" hits="1"/>
            <line number="162" branch="false" hits="1"/>
            <line number="163" branch="false" hits="3"/>
            <line number="164" branch="false" hits="3"/>
            <line number="165" branch="false" hits="3"/>
            <line number="166" branch="false" hits="1"/>
            <line number="167" branch="false" hits="1"/>
            <line number="168" branch="false" hits="0"/>
            <line number="169" branch="false" hits="1"/>
            <line number="170" branch="false" hits="1"/>
            <line number="171" branch="false" hits="1"/>
            <line number="172" branch="false" hits="0"/>
            <line number="173" branch="false" hits="0"/>
            <line number="177" branch="false" hits="2"/>
            <line number="178" branch="false" hits="2"/>
            <line number="179" branch="false" hits="2"/>
            <line number="180" branch="false" hits="2"/>
            <line number="181" branch="false" hits="0"/>
            <line number="182" branch="false" hits="2"/>
            <line number="183" branch="false" hits="2"/>
            <line number="185" branch="false" hits="1"/>
            <line number="186" branch="false" hits="1"/>
            <line number="187" branch="false" hits="1"/>
            <line number="188" branch="false" hits="1"/>
            <line number="189" branch="false" hits="1"/>
            <line number="190" branch="false" hits="1"/>
            <line number="191" branch="false" hits="1"/>
            <line number="192" branch="false" hits="0"/>
            <line number="193" branch="false" hits="1"/>
            <line number="194" branch="false" hits="1"/>
            <line number="196" branch="false" hits="1"/>
            <line number="197" branch="false" hits="1"/>
            <line number="198" branch="false" hits="1"/>
            <line number="199" branch="false" hits="1"/>
            <line number="200" branch="false" hits="1"/>
            <line number="201" branch="false" hits="1"/>
            <line number="202" branch="false" hits="1"/>
            <line number="203" branch="false" hits="0"/>
            <line number="204" branch="false" hits="0"/>
            <line number="205" branch="false" hits="0"/>
            <line number="206" branch="false" hits="0"/>
            <line number="207" branch="false" hits="0"/>
            <line number="208" branch="false" hits="0"/>
            <line number="209" branch="false" hits="0"/>
            <line number="210" branch="false" hits="0"/>
          </lines>
        </class>
        <class name="ImageDownloader" filename="TheMovieDBKitabisa/Services/ImageDownloader.swift" line-rate="0.8148148148148148" branch-rate="1.0000000000000000" complexity="0.0">
          <methods/>
          <lines>
            <line number="18" branch="false" hits="0"/>
            <line number="20" branch="false" hits="15"/>
            <line number="21" branch="false" hits="15"/>
            <line number="22" branch="false" hits="15"/>
            <line number="23" branch="false" hits="0"/>
            <line number="24" branch="false" hits="0"/>
            <line number="25" branch="false" hits="15"/>
            <line number="26" branch="false" hits="15"/>
            <line number="27" branch="false" hits="15"/>
            <line number="28" branch="false" hits="15"/>
            <line number="29" branch="false" hits="15"/>
            <line number="30" branch="false" hits="15"/>
            <line number="31" branch="false" hits="15"/>
            <line number="32" branch="false" hits="0"/>
            <line number="33" branch="false" hits="15"/>
            <line number="34" branch="false" hits="15"/>
            <line number="35" branch="false" hits="15"/>
            <line number="36" branch="false" hits="15"/>
            <line number="37" branch="false" hits="15"/>
            <line number="38" branch="false" hits="15"/>
            <line number="39" branch="false" hits="15"/>
            <line number="40" branch="false" hits="15"/>
            <line number="41" branch="false" hits="0"/>
            <line number="42" branch="false" hits="15"/>
            <line number="43" branch="false" hits="15"/>
            <line number="44" branch="false" hits="15"/>
            <line number="45" branch="false" hits="15"/>
          </lines>
        </class>
      </classes>
    </package>
    <package name="TheMovieDBKitabisa.Services.MovieService" line-rate="0.6741573033707865" branch-rate="1.0000000000000000" complexity="0.0">
      <classes>
        <class name="MovieRepository" filename="TheMovieDBKitabisa/Services/MovieService/MovieRepository.swift" line-rate="0.6741573033707865" branch-rate="1.0000000000000000" complexity="0.0">
          <methods/>
          <lines>
            <line number="14" branch="false" hits="0"/>
            <line number="16" branch="false" hits="1"/>
            <line number="17" branch="false" hits="1"/>
            <line number="18" branch="false" hits="1"/>
            <line number="19" branch="false" hits="0"/>
            <line number="20" branch="false" hits="0"/>
            <line number="21" branch="false" hits="1"/>
            <line number="22" branch="false" hits="1"/>
            <line number="23" branch="false" hits="1"/>
            <line number="24" branch="false" hits="1"/>
            <line number="25" branch="false" hits="1"/>
            <line number="27" branch="false" hits="0"/>
            <line number="28" branch="false" hits="0"/>
            <line number="29" branch="false" hits="0"/>
            <line number="30" branch="false" hits="0"/>
            <line number="31" branch="false" hits="0"/>
            <line number="32" branch="false" hits="0"/>
            <line number="33" branch="false" hits="0"/>
            <line number="34" branch="false" hits="0"/>
            <line number="35" branch="false" hits="0"/>
            <line number="36" branch="false" hits="0"/>
            <line number="37" branch="false" hits="0"/>
            <line number="38" branch="false" hits="0"/>
            <line number="40" branch="false" hits="1"/>
            <line number="41" branch="false" hits="1"/>
            <line number="42" branch="false" hits="0"/>
            <line number="43" branch="false" hits="0"/>
            <line number="44" branch="false" hits="1"/>
            <line number="45" branch="false" hits="1"/>
            <line number="46" branch="false" hits="1"/>
            <line number="47" branch="false" hits="1"/>
            <line number="48" branch="false" hits="0"/>
            <line number="49" branch="false" hits="1"/>
            <line number="50" branch="false" hits="1"/>
            <line number="51" branch="false" hits="1"/>
            <line number="52" branch="false" hits="1"/>
            <line number="53" branch="false" hits="1"/>
            <line number="54" branch="false" hits="0"/>
            <line number="55" branch="false" hits="0"/>
            <line number="56" branch="false" hits="1"/>
            <line number="57" branch="false" hits="1"/>
            <line number="58" branch="false" hits="1"/>
            <line number="59" branch="false" hits="1"/>
            <line number="60" branch="false" hits="1"/>
            <line number="61" branch="false" hits="1"/>
            <line number="62" branch="false" hits="1"/>
            <line number="63" branch="false" hits="1"/>
            <line number="64" branch="false" hits="0"/>
            <line number="65" branch="false" hits="0"/>
            <line number="66" branch="false" hits="1"/>
            <line number="67" branch="false" hits="1"/>
            <line number="68" branch="false" hits="1"/>
            <line number="69" branch="false" hits="0"/>
            <line number="70" branch="false" hits="0"/>
            <line number="71" branch="false" hits="1"/>
            <line number="72" branch="false" hits="1"/>
            <line number="73" branch="false" hits="1"/>
            <line number="74" branch="false" hits="0"/>
            <line number="75" branch="false" hits="0"/>
            <line number="76" branch="false" hits="1"/>
            <line number="77" branch="false" hits="1"/>
            <line number="78" branch="false" hits="1"/>
            <line number="79" branch="false" hits="1"/>
            <line number="80" branch="false" hits="1"/>
            <line number="81" branch="false" hits="1"/>
            <line number="82" branch="false" hits="1"/>
            <line number="83" branch="false" hits="1"/>
            <line number="84" branch="false" hits="1"/>
            <line number="85" branch="false" hits="1"/>
            <line number="86" branch="false" hits="1"/>
            <line number="87" branch="false" hits="1"/>
            <line number="88" branch="false" hits="1"/>
            <line number="89" branch="false" hits="1"/>
            <line number="90" branch="false" hits="1"/>
            <line number="91" branch="false" hits="0"/>
            <line number="92" branch="false" hits="0"/>
            <line number="93" branch="false" hits="0"/>
            <line number="94" branch="false" hits="1"/>
            <line number="95" branch="false" hits="1"/>
            <line number="96" branch="false" hits="1"/>
            <line number="97" branch="false" hits="1"/>
            <line number="98" branch="false" hits="1"/>
            <line number="100" branch="false" hits="1"/>
            <line number="101" branch="false" hits="1"/>
            <line number="102" branch="false" hits="1"/>
            <line number="103" branch="false" hits="1"/>
            <line number="104" branch="false" hits="1"/>
            <line number="105" branch="false" hits="1"/>
            <line number="106" branch="false" hits="1"/>
          </lines>
        </class>
      </classes>
    </package>
    <package name="TheMovieDBKitabisa.Services.MovieService.Protocol" line-rate="0.6666666666666666" branch-rate="1.0000000000000000" complexity="0.0">
      <classes>
        <class name="MovieServiceProtocol" filename="TheMovieDBKitabisa/Services/MovieService/Protocol/MovieServiceProtocol.swift" line-rate="0.6666666666666666" branch-rate="1.0000000000000000" complexity="0.0">
          <methods/>
          <lines>
            <line number="20" branch="false" hits="0"/>
            <line number="21" branch="false" hits="0"/>
            <line number="22" branch="false" hits="0"/>
            <line number="24" branch="false" hits="0"/>
            <line number="31" branch="false" hits="2"/>
            <line number="32" branch="false" hits="2"/>
            <line number="33" branch="false" hits="2"/>
            <line number="34" branch="false" hits="2"/>
            <line number="35" branch="false" hits="2"/>
            <line number="36" branch="false" hits="2"/>
            <line number="37" branch="false" hits="2"/>
            <line number="38" branch="false" hits="2"/>
          </lines>
        </class>
      </classes>
    </package>
    <package name="TheMovieDBKitabisa.Views.FavoriteMovies" line-rate="0.3392857142857143" branch-rate="1.0000000000000000" complexity="0.0">
      <classes>
        <class name="FavoriteMovieView" filename="TheMovieDBKitabisa/Views/FavoriteMovies/FavoriteMovieView.swift" line-rate="0.3392857142857143" branch-rate="1.0000000000000000" complexity="0.0">
          <methods/>
          <lines>
            <line number="14" branch="false" hits="0"/>
            <line number="16" branch="false" hits="0"/>
            <line number="17" branch="false" hits="0"/>
            <line number="19" branch="false" hits="1"/>
            <line number="20" branch="false" hits="1"/>
            <line number="21" branch="false" hits="1"/>
            <line number="22" branch="false" hits="1"/>
            <line number="23" branch="false" hits="1"/>
            <line number="24" branch="false" hits="1"/>
            <line number="25" branch="false" hits="1"/>
            <line number="26" branch="false" hits="1"/>
            <line number="27" branch="false" hits="1"/>
            <line number="28" branch="false" hits="0"/>
            <line number="29" branch="false" hits="0"/>
            <line number="30" branch="false" hits="0"/>
            <line number="31" branch="false" hits="0"/>
            <line number="32" branch="false" hits="0"/>
            <line number="33" branch="false" hits="0"/>
            <line number="34" branch="false" hits="0"/>
            <line number="35" branch="false" hits="0"/>
            <line number="36" branch="false" hits="0"/>
            <line number="37" branch="false" hits="0"/>
            <line number="38" branch="false" hits="0"/>
            <line number="39" branch="false" hits="0"/>
            <line number="40" branch="false" hits="0"/>
            <line number="41" branch="false" hits="0"/>
            <line number="42" branch="false" hits="0"/>
            <line number="43" branch="false" hits="0"/>
            <line number="44" branch="false" hits="0"/>
            <line number="45" branch="false" hits="0"/>
            <line number="46" branch="false" hits="0"/>
            <line number="47" branch="false" hits="0"/>
            <line number="48" branch="false" hits="0"/>
            <line number="49" branch="false" hits="0"/>
            <line number="50" branch="false" hits="0"/>
            <line number="51" branch="false" hits="0"/>
            <line number="52" branch="false" hits="0"/>
            <line number="53" branch="false" hits="0"/>
            <line number="54" branch="false" hits="0"/>
            <line number="55" branch="false" hits="0"/>
            <line number="56" branch="false" hits="0"/>
            <line number="57" branch="false" hits="1"/>
            <line number="58" branch="false" hits="1"/>
            <line number="59" branch="false" hits="1"/>
            <line number="60" branch="false" hits="0"/>
            <line number="61" branch="false" hits="0"/>
            <line number="62" branch="false" hits="0"/>
            <line number="63" branch="false" hits="1"/>
            <line number="64" branch="false" hits="1"/>
            <line number="65" branch="false" hits="1"/>
            <line number="66" branch="false" hits="0"/>
            <line number="67" branch="false" hits="0"/>
            <line number="68" branch="false" hits="1"/>
            <line number="69" branch="false" hits="1"/>
            <line number="70" branch="false" hits="1"/>
            <line number="71" branch="false" hits="1"/>
          </lines>
        </class>
      </classes>
    </package>
    <package name="TheMovieDBKitabisa.Views.MovieDetail" line-rate="0.5866666666666667" branch-rate="1.0000000000000000" complexity="0.0">
      <classes>
        <class name="MovieDetailDescriptionView" filename="TheMovieDBKitabisa/Views/MovieDetail/MovieDetailDescriptionView.swift" line-rate="0.4130434782608696" branch-rate="1.0000000000000000" complexity="0.0">
          <methods/>
          <lines>
            <line number="15" branch="false" hits="1"/>
            <line number="16" branch="false" hits="1"/>
            <line number="17" branch="false" hits="1"/>
            <line number="18" branch="false" hits="1"/>
            <line number="19" branch="false" hits="1"/>
            <line number="20" branch="false" hits="1"/>
            <line number="21" branch="false" hits="1"/>
            <line number="22" branch="false" hits="1"/>
            <line number="23" branch="false" hits="1"/>
            <line number="24" branch="false" hits="1"/>
            <line number="25" branch="false" hits="1"/>
            <line number="32" branch="false" hits="0"/>
            <line number="34" branch="false" hits="1"/>
            <line number="35" branch="false" hits="1"/>
            <line number="36" branch="false" hits="1"/>
            <line number="37" branch="false" hits="0"/>
            <line number="38" branch="false" hits="0"/>
            <line number="39" branch="false" hits="0"/>
            <line number="40" branch="false" hits="0"/>
            <line number="41" branch="false" hits="0"/>
            <line number="42" branch="false" hits="0"/>
            <line number="43" branch="false" hits="0"/>
            <line number="44" branch="false" hits="0"/>
            <line number="45" branch="false" hits="0"/>
            <line number="46" branch="false" hits="0"/>
            <line number="47" branch="false" hits="0"/>
            <line number="48" branch="false" hits="0"/>
            <line number="49" branch="false" hits="0"/>
            <line number="50" branch="false" hits="0"/>
            <line number="51" branch="false" hits="0"/>
            <line number="52" branch="false" hits="0"/>
            <line number="53" branch="false" hits="0"/>
            <line number="54" branch="false" hits="0"/>
            <line number="55" branch="false" hits="0"/>
            <line number="56" branch="false" hits="0"/>
            <line number="57" branch="false" hits="0"/>
            <line number="58" branch="false" hits="0"/>
            <line number="59" branch="false" hits="0"/>
            <line number="60" branch="false" hits="0"/>
            <line number="61" branch="false" hits="1"/>
            <line number="62" branch="false" hits="1"/>
            <line number="63" branch="false" hits="1"/>
            <line number="64" branch="false" hits="0"/>
            <line number="65" branch="false" hits="0"/>
            <line number="66" branch="false" hits="1"/>
            <line number="67" branch="false" hits="1"/>
          </lines>
        </class>
        <class name="MovieDetailListView" filename="TheMovieDBKitabisa/Views/MovieDetail/MovieDetailListView.swift" line-rate="1.0000000000000000" branch-rate="1.0000000000000000" complexity="0.0">
          <methods/>
          <lines>
            <line number="15" branch="false" hits="1"/>
            <line number="16" branch="false" hits="1"/>
            <line number="17" branch="false" hits="1"/>
            <line number="18" branch="false" hits="1"/>
            <line number="19" branch="false" hits="1"/>
            <line number="20" branch="false" hits="1"/>
            <line number="21" branch="false" hits="1"/>
            <line number="22" branch="false" hits="1"/>
            <line number="23" branch="false" hits="1"/>
            <line number="24" branch="false" hits="1"/>
            <line number="25" branch="false" hits="1"/>
            <line number="26" branch="false" hits="1"/>
            <line number="27" branch="false" hits="1"/>
            <line number="28" branch="false" hits="1"/>
          </lines>
        </class>
        <class name="MovieDetailView" filename="TheMovieDBKitabisa/Views/MovieDetail/MovieDetailView.swift" line-rate="0.7333333333333333" branch-rate="1.0000000000000000" complexity="0.0">
          <methods/>
          <lines>
            <line number="15" branch="false" hits="0"/>
            <line number="17" branch="false" hits="1"/>
            <line number="18" branch="false" hits="1"/>
            <line number="19" branch="false" hits="1"/>
            <line number="20" branch="false" hits="1"/>
            <line number="21" branch="false" hits="1"/>
            <line number="22" branch="false" hits="0"/>
            <line number="23" branch="false" hits="1"/>
            <line number="24" branch="false" hits="1"/>
            <line number="25" branch="false" hits="1"/>
            <line number="26" branch="false" hits="1"/>
            <line number="27" branch="false" hits="0"/>
            <line number="28" branch="false" hits="0"/>
            <line number="29" branch="false" hits="1"/>
            <line number="30" branch="false" hits="1"/>
          </lines>
        </class>
      </classes>
    </package>
    <package name="TheMovieDBKitabisa.Views.MovieDetail.ViewModels" line-rate="0.8235294117647058" branch-rate="1.0000000000000000" complexity="0.0">
      <classes>
        <class name="MovieDetailViewModel" filename="TheMovieDBKitabisa/Views/MovieDetail/ViewModels/MovieDetailViewModel.swift" line-rate="0.8235294117647058" branch-rate="1.0000000000000000" complexity="0.0">
          <methods/>
          <lines>
            <line number="18" branch="false" hits="0"/>
            <line number="19" branch="false" hits="0"/>
            <line number="20" branch="false" hits="0"/>
            <line number="22" branch="false" hits="1"/>
            <line number="23" branch="false" hits="1"/>
            <line number="24" branch="false" hits="2"/>
            <line number="25" branch="false" hits="2"/>
            <line number="26" branch="false" hits="2"/>
            <line number="27" branch="false" hits="2"/>
            <line number="28" branch="false" hits="1"/>
            <line number="29" branch="false" hits="2"/>
            <line number="30" branch="false" hits="1"/>
            <line number="31" branch="false" hits="2"/>
            <line number="32" branch="false" hits="2"/>
            <line number="33" branch="false" hits="2"/>
            <line number="34" branch="false" hits="1"/>
            <line number="35" branch="false" hits="1"/>
          </lines>
        </class>
      </classes>
    </package>
    <package name="TheMovieDBKitabisa.Views.MovieList" line-rate="0.7279411764705882" branch-rate="1.0000000000000000" complexity="0.0">
      <classes>
        <class name="MovieImageView" filename="TheMovieDBKitabisa/Views/MovieList/MovieImageView.swift" line-rate="0.9615384615384616" branch-rate="1.0000000000000000" complexity="0.0">
          <methods/>
          <lines>
            <line number="15" branch="false" hits="0"/>
            <line number="17" branch="false" hits="27"/>
            <line number="18" branch="false" hits="27"/>
            <line number="19" branch="false" hits="27"/>
            <line number="20" branch="false" hits="27"/>
            <line number="21" branch="false" hits="27"/>
            <line number="22" branch="false" hits="12"/>
            <line number="23" branch="false" hits="12"/>
            <line number="24" branch="false" hits="12"/>
            <line number="25" branch="false" hits="12"/>
            <line number="26" branch="false" hits="12"/>
            <line number="27" branch="false" hits="27"/>
            <line number="28" branch="false" hits="15"/>
            <line number="29" branch="false" hits="15"/>
            <line number="30" branch="false" hits="15"/>
            <line number="31" branch="false" hits="15"/>
            <line number="32" branch="false" hits="15"/>
            <line number="33" branch="false" hits="15"/>
            <line number="34" branch="false" hits="15"/>
            <line number="35" branch="false" hits="27"/>
            <line number="36" branch="false" hits="27"/>
            <line number="37" branch="false" hits="27"/>
            <line number="38" branch="false" hits="27"/>
            <line number="39" branch="false" hits="15"/>
            <line number="40" branch="false" hits="15"/>
            <line number="41" branch="false" hits="27"/>
          </lines>
        </class>
        <class name="MovieListContainer" filename="TheMovieDBKitabisa/Views/MovieList/MovieListContainer.swift" line-rate="0.4200000000000000" branch-rate="1.0000000000000000" complexity="0.0">
          <methods/>
          <lines>
            <line number="16" branch="false" hits="0"/>
            <line number="18" branch="false" hits="3"/>
            <line number="19" branch="false" hits="3"/>
            <line number="20" branch="false" hits="3"/>
            <line number="21" branch="false" hits="3"/>
            <line number="22" branch="false" hits="3"/>
            <line number="23" branch="false" hits="1"/>
            <line number="24" branch="false" hits="3"/>
            <line number="25" branch="false" hits="2"/>
            <line number="26" branch="false" hits="3"/>
            <line number="27" branch="false" hits="3"/>
            <line number="28" branch="false" hits="3"/>
            <line number="29" branch="false" hits="0"/>
            <line number="30" branch="false" hits="0"/>
            <line number="31" branch="false" hits="0"/>
            <line number="32" branch="false" hits="0"/>
            <line number="33" branch="false" hits="0"/>
            <line number="34" branch="false" hits="3"/>
            <line number="35" branch="false" hits="3"/>
            <line number="36" branch="false" hits="3"/>
            <line number="37" branch="false" hits="3"/>
            <line number="38" branch="false" hits="3"/>
            <line number="39" branch="false" hits="1"/>
            <line number="40" branch="false" hits="1"/>
            <line number="41" branch="false" hits="3"/>
            <line number="42" branch="false" hits="0"/>
            <line number="43" branch="false" hits="0"/>
            <line number="44" branch="false" hits="0"/>
            <line number="45" branch="false" hits="0"/>
            <line number="46" branch="false" hits="3"/>
            <line number="47" branch="false" hits="3"/>
            <line number="56" branch="false" hits="0"/>
            <line number="57" branch="false" hits="0"/>
            <line number="58" branch="false" hits="0"/>
            <line number="59" branch="false" hits="0"/>
            <line number="60" branch="false" hits="0"/>
            <line number="61" branch="false" hits="0"/>
            <line number="62" branch="false" hits="0"/>
            <line number="63" branch="false" hits="0"/>
            <line number="64" branch="false" hits="0"/>
            <line number="65" branch="false" hits="0"/>
            <line number="66" branch="false" hits="0"/>
            <line number="67" branch="false" hits="0"/>
            <line number="68" branch="false" hits="0"/>
            <line number="69" branch="false" hits="0"/>
            <line number="70" branch="false" hits="0"/>
            <line number="71" branch="false" hits="0"/>
            <line number="72" branch="false" hits="0"/>
            <line number="73" branch="false" hits="0"/>
            <line number="74" branch="false" hits="0"/>
          </lines>
        </class>
        <class name="MovieListView" filename="TheMovieDBKitabisa/Views/MovieList/MovieListView.swift" line-rate="0.8833333333333333" branch-rate="1.0000000000000000" complexity="0.0">
          <methods/>
          <lines>
            <line number="16" branch="false" hits="0"/>
            <line number="17" branch="false" hits="0"/>
            <line number="19" branch="false" hits="0"/>
            <line number="20" branch="false" hits="0"/>
            <line number="21" branch="false" hits="0"/>
            <line number="22" branch="false" hits="0"/>
            <line number="23" branch="false" hits="0"/>
            <line number="25" branch="false" hits="1"/>
            <line number="26" branch="false" hits="1"/>
            <line number="27" branch="false" hits="1"/>
            <line number="28" branch="false" hits="1"/>
            <line number="29" branch="false" hits="1"/>
            <line number="30" branch="false" hits="1"/>
            <line number="31" branch="false" hits="1"/>
            <line number="32" branch="false" hits="1"/>
            <line number="33" branch="false" hits="15"/>
            <line number="34" branch="false" hits="15"/>
            <line number="35" branch="false" hits="15"/>
            <line number="36" branch="false" hits="15"/>
            <line number="37" branch="false" hits="15"/>
            <line number="38" branch="false" hits="15"/>
            <line number="39" branch="false" hits="15"/>
            <line number="40" branch="false" hits="15"/>
            <line number="41" branch="false" hits="15"/>
            <line number="42" branch="false" hits="15"/>
            <line number="43" branch="false" hits="15"/>
            <line number="44" branch="false" hits="15"/>
            <line number="45" branch="false" hits="15"/>
            <line number="46" branch="false" hits="15"/>
            <line number="47" branch="false" hits="15"/>
            <line number="48" branch="false" hits="15"/>
            <line number="49" branch="false" hits="15"/>
            <line number="50" branch="false" hits="15"/>
            <line number="51" branch="false" hits="15"/>
            <line number="52" branch="false" hits="15"/>
            <line number="53" branch="false" hits="15"/>
            <line number="54" branch="false" hits="15"/>
            <line number="55" branch="false" hits="15"/>
            <line number="56" branch="false" hits="15"/>
            <line number="57" branch="false" hits="15"/>
            <line number="58" branch="false" hits="15"/>
            <line number="59" branch="false" hits="15"/>
            <line number="60" branch="false" hits="15"/>
            <line number="61" branch="false" hits="15"/>
            <line number="62" branch="false" hits="15"/>
            <line number="63" branch="false" hits="1"/>
            <line number="64" branch="false" hits="1"/>
            <line number="65" branch="false" hits="1"/>
            <line number="66" branch="false" hits="1"/>
            <line number="67" branch="false" hits="1"/>
            <line number="68" branch="false" hits="1"/>
            <line number="69" branch="false" hits="1"/>
            <line number="70" branch="false" hits="1"/>
            <line number="71" branch="false" hits="1"/>
            <line number="72" branch="false" hits="1"/>
            <line number="73" branch="false" hits="1"/>
            <line number="74" branch="false" hits="1"/>
            <line number="75" branch="false" hits="1"/>
            <line number="76" branch="false" hits="1"/>
            <line number="77" branch="false" hits="1"/>
          </lines>
        </class>
      </classes>
    </package>
    <package name="TheMovieDBKitabisa.Views.MovieList.ViewModels" line-rate="0.7916666666666666" branch-rate="1.0000000000000000" complexity="0.0">
      <classes>
        <class name="MovieListViewModel" filename="TheMovieDBKitabisa/Views/MovieList/ViewModels/MovieListViewModel.swift" line-rate="0.7916666666666666" branch-rate="1.0000000000000000" complexity="0.0">
          <methods/>
          <lines>
            <line number="20" branch="false" hits="0"/>
            <line number="21" branch="false" hits="0"/>
            <line number="22" branch="false" hits="0"/>
            <line number="23" branch="false" hits="0"/>
            <line number="25" branch="false" hits="1"/>
            <line number="26" branch="false" hits="1"/>
            <line number="27" branch="false" hits="1"/>
            <line number="28" branch="false" hits="1"/>
            <line number="29" branch="false" hits="1"/>
            <line number="30" branch="false" hits="1"/>
            <line number="31" branch="false" hits="1"/>
            <line number="32" branch="false" hits="1"/>
            <line number="33" branch="false" hits="1"/>
            <line number="34" branch="false" hits="1"/>
            <line number="35" branch="false" hits="1"/>
            <line number="36" branch="false" hits="1"/>
            <line number="37" branch="false" hits="1"/>
            <line number="38" branch="false" hits="1"/>
            <line number="39" branch="false" hits="1"/>
            <line number="40" branch="false" hits="0"/>
            <line number="41" branch="false" hits="1"/>
            <line number="42" branch="false" hits="1"/>
            <line number="43" branch="false" hits="1"/>
            <line number="44" branch="false" hits="1"/>
          </lines>
        </class>
      </classes>
    </package>
  </packages>
</coverage>
